﻿using System;
using System.Threading;
using System.Web.Mvc;
using MVC3_Ajax_Form_jQuery_Validation.Models;
using System.Collections.Generic;

namespace MVC3_Ajax_Form_jQuery_Validation.Controllers
{
    public class HomeController : Controller
    {

        [HttpGet]
        public ActionResult Index()
        {
            return View(new ValidationModel());
        }

        [HttpPost]
        public ActionResult Form(ValidationModel validationModel)
        {
            Thread.Sleep(2000); // Fake processing time
            
            if (!ModelState.IsValid)
            {
                return Json(new object[] {false, this.RenderPartialViewToString("Partial/_Form", validationModel)});
            }

            return Json(new object[] {true, this.RenderPartialViewToString("Partial/_Success", validationModel)});
        }
        
    }
}
